Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network46.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
46.0.0.0
Broadcast address
47.255.255.255
First usable
46.0.0.1
Last usable
47.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 2E000000 · Integer 771751936 to 805306367
Reverse DNS zones
46.in-addr.arpa
47.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101110.00000000.00000000.0000000046.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00101110.00000000.00000000.0000000046.0.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/15

46.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
146.0.0.0/1546.0.0.1 to 46.1.255.25446.1.255.255131,070
246.2.0.0/1546.2.0.1 to 46.3.255.25446.3.255.255131,070
346.4.0.0/1546.4.0.1 to 46.5.255.25446.5.255.255131,070
446.6.0.0/1546.6.0.1 to 46.7.255.25446.7.255.255131,070
546.8.0.0/1546.8.0.1 to 46.9.255.25446.9.255.255131,070
646.10.0.0/1546.10.0.1 to 46.11.255.25446.11.255.255131,070
746.12.0.0/1546.12.0.1 to 46.13.255.25446.13.255.255131,070
846.14.0.0/1546.14.0.1 to 46.15.255.25446.15.255.255131,070
946.16.0.0/1546.16.0.1 to 46.17.255.25446.17.255.255131,070
1046.18.0.0/1546.18.0.1 to 46.19.255.25446.19.255.255131,070
1146.20.0.0/1546.20.0.1 to 46.21.255.25446.21.255.255131,070
1246.22.0.0/1546.22.0.1 to 46.23.255.25446.23.255.255131,070
1346.24.0.0/1546.24.0.1 to 46.25.255.25446.25.255.255131,070
1446.26.0.0/1546.26.0.1 to 46.27.255.25446.27.255.255131,070
1546.28.0.0/1546.28.0.1 to 46.29.255.25446.29.255.255131,070
1646.30.0.0/1546.30.0.1 to 46.31.255.25446.31.255.255131,070
1746.32.0.0/1546.32.0.1 to 46.33.255.25446.33.255.255131,070
1846.34.0.0/1546.34.0.1 to 46.35.255.25446.35.255.255131,070
1946.36.0.0/1546.36.0.1 to 46.37.255.25446.37.255.255131,070
2046.38.0.0/1546.38.0.1 to 46.39.255.25446.39.255.255131,070
2146.40.0.0/1546.40.0.1 to 46.41.255.25446.41.255.255131,070
2246.42.0.0/1546.42.0.1 to 46.43.255.25446.43.255.255131,070
2346.44.0.0/1546.44.0.1 to 46.45.255.25446.45.255.255131,070
2446.46.0.0/1546.46.0.1 to 46.47.255.25446.47.255.255131,070
2546.48.0.0/1546.48.0.1 to 46.49.255.25446.49.255.255131,070
2646.50.0.0/1546.50.0.1 to 46.51.255.25446.51.255.255131,070
2746.52.0.0/1546.52.0.1 to 46.53.255.25446.53.255.255131,070
2846.54.0.0/1546.54.0.1 to 46.55.255.25446.55.255.255131,070
2946.56.0.0/1546.56.0.1 to 46.57.255.25446.57.255.255131,070
3046.58.0.0/1546.58.0.1 to 46.59.255.25446.59.255.255131,070
3146.60.0.0/1546.60.0.1 to 46.61.255.25446.61.255.255131,070
3246.62.0.0/1546.62.0.1 to 46.63.255.25446.63.255.255131,070
3346.64.0.0/1546.64.0.1 to 46.65.255.25446.65.255.255131,070
3446.66.0.0/1546.66.0.1 to 46.67.255.25446.67.255.255131,070
3546.68.0.0/1546.68.0.1 to 46.69.255.25446.69.255.255131,070
3646.70.0.0/1546.70.0.1 to 46.71.255.25446.71.255.255131,070
3746.72.0.0/1546.72.0.1 to 46.73.255.25446.73.255.255131,070
3846.74.0.0/1546.74.0.1 to 46.75.255.25446.75.255.255131,070
3946.76.0.0/1546.76.0.1 to 46.77.255.25446.77.255.255131,070
4046.78.0.0/1546.78.0.1 to 46.79.255.25446.79.255.255131,070
4146.80.0.0/1546.80.0.1 to 46.81.255.25446.81.255.255131,070
4246.82.0.0/1546.82.0.1 to 46.83.255.25446.83.255.255131,070
4346.84.0.0/1546.84.0.1 to 46.85.255.25446.85.255.255131,070
4446.86.0.0/1546.86.0.1 to 46.87.255.25446.87.255.255131,070
4546.88.0.0/1546.88.0.1 to 46.89.255.25446.89.255.255131,070
4646.90.0.0/1546.90.0.1 to 46.91.255.25446.91.255.255131,070
4746.92.0.0/1546.92.0.1 to 46.93.255.25446.93.255.255131,070
4846.94.0.0/1546.94.0.1 to 46.95.255.25446.95.255.255131,070
4946.96.0.0/1546.96.0.1 to 46.97.255.25446.97.255.255131,070
5046.98.0.0/1546.98.0.1 to 46.99.255.25446.99.255.255131,070
5146.100.0.0/1546.100.0.1 to 46.101.255.25446.101.255.255131,070
5246.102.0.0/1546.102.0.1 to 46.103.255.25446.103.255.255131,070
5346.104.0.0/1546.104.0.1 to 46.105.255.25446.105.255.255131,070
5446.106.0.0/1546.106.0.1 to 46.107.255.25446.107.255.255131,070
5546.108.0.0/1546.108.0.1 to 46.109.255.25446.109.255.255131,070
5646.110.0.0/1546.110.0.1 to 46.111.255.25446.111.255.255131,070
5746.112.0.0/1546.112.0.1 to 46.113.255.25446.113.255.255131,070
5846.114.0.0/1546.114.0.1 to 46.115.255.25446.115.255.255131,070
5946.116.0.0/1546.116.0.1 to 46.117.255.25446.117.255.255131,070
6046.118.0.0/1546.118.0.1 to 46.119.255.25446.119.255.255131,070
6146.120.0.0/1546.120.0.1 to 46.121.255.25446.121.255.255131,070
6246.122.0.0/1546.122.0.1 to 46.123.255.25446.123.255.255131,070
6346.124.0.0/1546.124.0.1 to 46.125.255.25446.125.255.255131,070
6446.126.0.0/1546.126.0.1 to 46.127.255.25446.127.255.255131,070
6546.128.0.0/1546.128.0.1 to 46.129.255.25446.129.255.255131,070
6646.130.0.0/1546.130.0.1 to 46.131.255.25446.131.255.255131,070
6746.132.0.0/1546.132.0.1 to 46.133.255.25446.133.255.255131,070
6846.134.0.0/1546.134.0.1 to 46.135.255.25446.135.255.255131,070
6946.136.0.0/1546.136.0.1 to 46.137.255.25446.137.255.255131,070
7046.138.0.0/1546.138.0.1 to 46.139.255.25446.139.255.255131,070
7146.140.0.0/1546.140.0.1 to 46.141.255.25446.141.255.255131,070
7246.142.0.0/1546.142.0.1 to 46.143.255.25446.143.255.255131,070
7346.144.0.0/1546.144.0.1 to 46.145.255.25446.145.255.255131,070
7446.146.0.0/1546.146.0.1 to 46.147.255.25446.147.255.255131,070
7546.148.0.0/1546.148.0.1 to 46.149.255.25446.149.255.255131,070
7646.150.0.0/1546.150.0.1 to 46.151.255.25446.151.255.255131,070
7746.152.0.0/1546.152.0.1 to 46.153.255.25446.153.255.255131,070
7846.154.0.0/1546.154.0.1 to 46.155.255.25446.155.255.255131,070
7946.156.0.0/1546.156.0.1 to 46.157.255.25446.157.255.255131,070
8046.158.0.0/1546.158.0.1 to 46.159.255.25446.159.255.255131,070
8146.160.0.0/1546.160.0.1 to 46.161.255.25446.161.255.255131,070
8246.162.0.0/1546.162.0.1 to 46.163.255.25446.163.255.255131,070
8346.164.0.0/1546.164.0.1 to 46.165.255.25446.165.255.255131,070
8446.166.0.0/1546.166.0.1 to 46.167.255.25446.167.255.255131,070
8546.168.0.0/1546.168.0.1 to 46.169.255.25446.169.255.255131,070
8646.170.0.0/1546.170.0.1 to 46.171.255.25446.171.255.255131,070
8746.172.0.0/1546.172.0.1 to 46.173.255.25446.173.255.255131,070
8846.174.0.0/1546.174.0.1 to 46.175.255.25446.175.255.255131,070
8946.176.0.0/1546.176.0.1 to 46.177.255.25446.177.255.255131,070
9046.178.0.0/1546.178.0.1 to 46.179.255.25446.179.255.255131,070
9146.180.0.0/1546.180.0.1 to 46.181.255.25446.181.255.255131,070
9246.182.0.0/1546.182.0.1 to 46.183.255.25446.183.255.255131,070
9346.184.0.0/1546.184.0.1 to 46.185.255.25446.185.255.255131,070
9446.186.0.0/1546.186.0.1 to 46.187.255.25446.187.255.255131,070
9546.188.0.0/1546.188.0.1 to 46.189.255.25446.189.255.255131,070
9646.190.0.0/1546.190.0.1 to 46.191.255.25446.191.255.255131,070
9746.192.0.0/1546.192.0.1 to 46.193.255.25446.193.255.255131,070
9846.194.0.0/1546.194.0.1 to 46.195.255.25446.195.255.255131,070
9946.196.0.0/1546.196.0.1 to 46.197.255.25446.197.255.255131,070
10046.198.0.0/1546.198.0.1 to 46.199.255.25446.199.255.255131,070
10146.200.0.0/1546.200.0.1 to 46.201.255.25446.201.255.255131,070
10246.202.0.0/1546.202.0.1 to 46.203.255.25446.203.255.255131,070
10346.204.0.0/1546.204.0.1 to 46.205.255.25446.205.255.255131,070
10446.206.0.0/1546.206.0.1 to 46.207.255.25446.207.255.255131,070
10546.208.0.0/1546.208.0.1 to 46.209.255.25446.209.255.255131,070
10646.210.0.0/1546.210.0.1 to 46.211.255.25446.211.255.255131,070
10746.212.0.0/1546.212.0.1 to 46.213.255.25446.213.255.255131,070
10846.214.0.0/1546.214.0.1 to 46.215.255.25446.215.255.255131,070
10946.216.0.0/1546.216.0.1 to 46.217.255.25446.217.255.255131,070
11046.218.0.0/1546.218.0.1 to 46.219.255.25446.219.255.255131,070
11146.220.0.0/1546.220.0.1 to 46.221.255.25446.221.255.255131,070
11246.222.0.0/1546.222.0.1 to 46.223.255.25446.223.255.255131,070
11346.224.0.0/1546.224.0.1 to 46.225.255.25446.225.255.255131,070
11446.226.0.0/1546.226.0.1 to 46.227.255.25446.227.255.255131,070
11546.228.0.0/1546.228.0.1 to 46.229.255.25446.229.255.255131,070
11646.230.0.0/1546.230.0.1 to 46.231.255.25446.231.255.255131,070
11746.232.0.0/1546.232.0.1 to 46.233.255.25446.233.255.255131,070
11846.234.0.0/1546.234.0.1 to 46.235.255.25446.235.255.255131,070
11946.236.0.0/1546.236.0.1 to 46.237.255.25446.237.255.255131,070
12046.238.0.0/1546.238.0.1 to 46.239.255.25446.239.255.255131,070
12146.240.0.0/1546.240.0.1 to 46.241.255.25446.241.255.255131,070
12246.242.0.0/1546.242.0.1 to 46.243.255.25446.243.255.255131,070
12346.244.0.0/1546.244.0.1 to 46.245.255.25446.245.255.255131,070
12446.246.0.0/1546.246.0.1 to 46.247.255.25446.247.255.255131,070
12546.248.0.0/1546.248.0.1 to 46.249.255.25446.249.255.255131,070
12646.250.0.0/1546.250.0.1 to 46.251.255.25446.251.255.255131,070
12746.252.0.0/1546.252.0.1 to 46.253.255.25446.253.255.255131,070
12846.254.0.0/1546.254.0.1 to 46.255.255.25446.255.255.255131,070
12947.0.0.0/1547.0.0.1 to 47.1.255.25447.1.255.255131,070
13047.2.0.0/1547.2.0.1 to 47.3.255.25447.3.255.255131,070
13147.4.0.0/1547.4.0.1 to 47.5.255.25447.5.255.255131,070
13247.6.0.0/1547.6.0.1 to 47.7.255.25447.7.255.255131,070
13347.8.0.0/1547.8.0.1 to 47.9.255.25447.9.255.255131,070
13447.10.0.0/1547.10.0.1 to 47.11.255.25447.11.255.255131,070
13547.12.0.0/1547.12.0.1 to 47.13.255.25447.13.255.255131,070
13647.14.0.0/1547.14.0.1 to 47.15.255.25447.15.255.255131,070
13747.16.0.0/1547.16.0.1 to 47.17.255.25447.17.255.255131,070
13847.18.0.0/1547.18.0.1 to 47.19.255.25447.19.255.255131,070
13947.20.0.0/1547.20.0.1 to 47.21.255.25447.21.255.255131,070
14047.22.0.0/1547.22.0.1 to 47.23.255.25447.23.255.255131,070
14147.24.0.0/1547.24.0.1 to 47.25.255.25447.25.255.255131,070
14247.26.0.0/1547.26.0.1 to 47.27.255.25447.27.255.255131,070
14347.28.0.0/1547.28.0.1 to 47.29.255.25447.29.255.255131,070
14447.30.0.0/1547.30.0.1 to 47.31.255.25447.31.255.255131,070
14547.32.0.0/1547.32.0.1 to 47.33.255.25447.33.255.255131,070
14647.34.0.0/1547.34.0.1 to 47.35.255.25447.35.255.255131,070
14747.36.0.0/1547.36.0.1 to 47.37.255.25447.37.255.255131,070
14847.38.0.0/1547.38.0.1 to 47.39.255.25447.39.255.255131,070
14947.40.0.0/1547.40.0.1 to 47.41.255.25447.41.255.255131,070
15047.42.0.0/1547.42.0.1 to 47.43.255.25447.43.255.255131,070
15147.44.0.0/1547.44.0.1 to 47.45.255.25447.45.255.255131,070
15247.46.0.0/1547.46.0.1 to 47.47.255.25447.47.255.255131,070
15347.48.0.0/1547.48.0.1 to 47.49.255.25447.49.255.255131,070
15447.50.0.0/1547.50.0.1 to 47.51.255.25447.51.255.255131,070
15547.52.0.0/1547.52.0.1 to 47.53.255.25447.53.255.255131,070
15647.54.0.0/1547.54.0.1 to 47.55.255.25447.55.255.255131,070
15747.56.0.0/1547.56.0.1 to 47.57.255.25447.57.255.255131,070
15847.58.0.0/1547.58.0.1 to 47.59.255.25447.59.255.255131,070
15947.60.0.0/1547.60.0.1 to 47.61.255.25447.61.255.255131,070
16047.62.0.0/1547.62.0.1 to 47.63.255.25447.63.255.255131,070
16147.64.0.0/1547.64.0.1 to 47.65.255.25447.65.255.255131,070
16247.66.0.0/1547.66.0.1 to 47.67.255.25447.67.255.255131,070
16347.68.0.0/1547.68.0.1 to 47.69.255.25447.69.255.255131,070
16447.70.0.0/1547.70.0.1 to 47.71.255.25447.71.255.255131,070
16547.72.0.0/1547.72.0.1 to 47.73.255.25447.73.255.255131,070
16647.74.0.0/1547.74.0.1 to 47.75.255.25447.75.255.255131,070
16747.76.0.0/1547.76.0.1 to 47.77.255.25447.77.255.255131,070
16847.78.0.0/1547.78.0.1 to 47.79.255.25447.79.255.255131,070
16947.80.0.0/1547.80.0.1 to 47.81.255.25447.81.255.255131,070
17047.82.0.0/1547.82.0.1 to 47.83.255.25447.83.255.255131,070
17147.84.0.0/1547.84.0.1 to 47.85.255.25447.85.255.255131,070
17247.86.0.0/1547.86.0.1 to 47.87.255.25447.87.255.255131,070
17347.88.0.0/1547.88.0.1 to 47.89.255.25447.89.255.255131,070
17447.90.0.0/1547.90.0.1 to 47.91.255.25447.91.255.255131,070
17547.92.0.0/1547.92.0.1 to 47.93.255.25447.93.255.255131,070
17647.94.0.0/1547.94.0.1 to 47.95.255.25447.95.255.255131,070
17747.96.0.0/1547.96.0.1 to 47.97.255.25447.97.255.255131,070
17847.98.0.0/1547.98.0.1 to 47.99.255.25447.99.255.255131,070
17947.100.0.0/1547.100.0.1 to 47.101.255.25447.101.255.255131,070
18047.102.0.0/1547.102.0.1 to 47.103.255.25447.103.255.255131,070
18147.104.0.0/1547.104.0.1 to 47.105.255.25447.105.255.255131,070
18247.106.0.0/1547.106.0.1 to 47.107.255.25447.107.255.255131,070
18347.108.0.0/1547.108.0.1 to 47.109.255.25447.109.255.255131,070
18447.110.0.0/1547.110.0.1 to 47.111.255.25447.111.255.255131,070
18547.112.0.0/1547.112.0.1 to 47.113.255.25447.113.255.255131,070
18647.114.0.0/1547.114.0.1 to 47.115.255.25447.115.255.255131,070
18747.116.0.0/1547.116.0.1 to 47.117.255.25447.117.255.255131,070
18847.118.0.0/1547.118.0.1 to 47.119.255.25447.119.255.255131,070
18947.120.0.0/1547.120.0.1 to 47.121.255.25447.121.255.255131,070
19047.122.0.0/1547.122.0.1 to 47.123.255.25447.123.255.255131,070
19147.124.0.0/1547.124.0.1 to 47.125.255.25447.125.255.255131,070
19247.126.0.0/1547.126.0.1 to 47.127.255.25447.127.255.255131,070
19347.128.0.0/1547.128.0.1 to 47.129.255.25447.129.255.255131,070
19447.130.0.0/1547.130.0.1 to 47.131.255.25447.131.255.255131,070
19547.132.0.0/1547.132.0.1 to 47.133.255.25447.133.255.255131,070
19647.134.0.0/1547.134.0.1 to 47.135.255.25447.135.255.255131,070
19747.136.0.0/1547.136.0.1 to 47.137.255.25447.137.255.255131,070
19847.138.0.0/1547.138.0.1 to 47.139.255.25447.139.255.255131,070
19947.140.0.0/1547.140.0.1 to 47.141.255.25447.141.255.255131,070
20047.142.0.0/1547.142.0.1 to 47.143.255.25447.143.255.255131,070
20147.144.0.0/1547.144.0.1 to 47.145.255.25447.145.255.255131,070
20247.146.0.0/1547.146.0.1 to 47.147.255.25447.147.255.255131,070
20347.148.0.0/1547.148.0.1 to 47.149.255.25447.149.255.255131,070
20447.150.0.0/1547.150.0.1 to 47.151.255.25447.151.255.255131,070
20547.152.0.0/1547.152.0.1 to 47.153.255.25447.153.255.255131,070
20647.154.0.0/1547.154.0.1 to 47.155.255.25447.155.255.255131,070
20747.156.0.0/1547.156.0.1 to 47.157.255.25447.157.255.255131,070
20847.158.0.0/1547.158.0.1 to 47.159.255.25447.159.255.255131,070
20947.160.0.0/1547.160.0.1 to 47.161.255.25447.161.255.255131,070
21047.162.0.0/1547.162.0.1 to 47.163.255.25447.163.255.255131,070
21147.164.0.0/1547.164.0.1 to 47.165.255.25447.165.255.255131,070
21247.166.0.0/1547.166.0.1 to 47.167.255.25447.167.255.255131,070
21347.168.0.0/1547.168.0.1 to 47.169.255.25447.169.255.255131,070
21447.170.0.0/1547.170.0.1 to 47.171.255.25447.171.255.255131,070
21547.172.0.0/1547.172.0.1 to 47.173.255.25447.173.255.255131,070
21647.174.0.0/1547.174.0.1 to 47.175.255.25447.175.255.255131,070
21747.176.0.0/1547.176.0.1 to 47.177.255.25447.177.255.255131,070
21847.178.0.0/1547.178.0.1 to 47.179.255.25447.179.255.255131,070
21947.180.0.0/1547.180.0.1 to 47.181.255.25447.181.255.255131,070
22047.182.0.0/1547.182.0.1 to 47.183.255.25447.183.255.255131,070
22147.184.0.0/1547.184.0.1 to 47.185.255.25447.185.255.255131,070
22247.186.0.0/1547.186.0.1 to 47.187.255.25447.187.255.255131,070
22347.188.0.0/1547.188.0.1 to 47.189.255.25447.189.255.255131,070
22447.190.0.0/1547.190.0.1 to 47.191.255.25447.191.255.255131,070
22547.192.0.0/1547.192.0.1 to 47.193.255.25447.193.255.255131,070
22647.194.0.0/1547.194.0.1 to 47.195.255.25447.195.255.255131,070
22747.196.0.0/1547.196.0.1 to 47.197.255.25447.197.255.255131,070
22847.198.0.0/1547.198.0.1 to 47.199.255.25447.199.255.255131,070
22947.200.0.0/1547.200.0.1 to 47.201.255.25447.201.255.255131,070
23047.202.0.0/1547.202.0.1 to 47.203.255.25447.203.255.255131,070
23147.204.0.0/1547.204.0.1 to 47.205.255.25447.205.255.255131,070
23247.206.0.0/1547.206.0.1 to 47.207.255.25447.207.255.255131,070
23347.208.0.0/1547.208.0.1 to 47.209.255.25447.209.255.255131,070
23447.210.0.0/1547.210.0.1 to 47.211.255.25447.211.255.255131,070
23547.212.0.0/1547.212.0.1 to 47.213.255.25447.213.255.255131,070
23647.214.0.0/1547.214.0.1 to 47.215.255.25447.215.255.255131,070
23747.216.0.0/1547.216.0.1 to 47.217.255.25447.217.255.255131,070
23847.218.0.0/1547.218.0.1 to 47.219.255.25447.219.255.255131,070
23947.220.0.0/1547.220.0.1 to 47.221.255.25447.221.255.255131,070
24047.222.0.0/1547.222.0.1 to 47.223.255.25447.223.255.255131,070
24147.224.0.0/1547.224.0.1 to 47.225.255.25447.225.255.255131,070
24247.226.0.0/1547.226.0.1 to 47.227.255.25447.227.255.255131,070
24347.228.0.0/1547.228.0.1 to 47.229.255.25447.229.255.255131,070
24447.230.0.0/1547.230.0.1 to 47.231.255.25447.231.255.255131,070
24547.232.0.0/1547.232.0.1 to 47.233.255.25447.233.255.255131,070
24647.234.0.0/1547.234.0.1 to 47.235.255.25447.235.255.255131,070
24747.236.0.0/1547.236.0.1 to 47.237.255.25447.237.255.255131,070
24847.238.0.0/1547.238.0.1 to 47.239.255.25447.239.255.255131,070
24947.240.0.0/1547.240.0.1 to 47.241.255.25447.241.255.255131,070
25047.242.0.0/1547.242.0.1 to 47.243.255.25447.243.255.255131,070
25147.244.0.0/1547.244.0.1 to 47.245.255.25447.245.255.255131,070
25247.246.0.0/1547.246.0.1 to 47.247.255.25447.247.255.255131,070
25347.248.0.0/1547.248.0.1 to 47.249.255.25447.249.255.255131,070
25447.250.0.0/1547.250.0.1 to 47.251.255.25447.251.255.255131,070
25547.252.0.0/1547.252.0.1 to 47.253.255.25447.253.255.255131,070
25647.254.0.0/1547.254.0.1 to 47.255.255.25447.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses